Bug 1579415 - Grafana should use the oauth-proxy image shipped with OpenShift
Summary: Grafana should use the oauth-proxy image shipped with OpenShift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.10.0
Assignee: Michael Gugino
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-17 15:17 UTC by Mike Fiedler
Modified: 2018-07-30 19:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 19:15:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:16:03 UTC

Description Mike Fiedler 2018-05-17 15:17:45 UTC
Description of problem:

The grafana deployment in openshift-ansible uses an old version of oauth-proxy that is missing fixes and and improved user experience for login.  If grafana runs OK with the OpenShift version it should be modified to use it.

e.g.  registry.reg-aws.openshift.com:443/openshift3/oauth-proxy                v3.10               a6b67446b2db        36 hours ago        238 MB

instead of:  docker.io/openshift/oauth-proxy                                          v1.0.0              ea67602bbb29        6 months ago        228 MB


Version-Release number of the following components: 3.10.0-0.47.0

Comment 1 Vadim Rutkovsky 2018-05-25 12:25:39 UTC
Created https://github.com/openshift/openshift-ansible/pull/8525 to update oauth-proxy tag for OCP

Comment 2 Vadim Rutkovsky 2018-05-28 08:20:57 UTC
Fixed by https://github.com/openshift/openshift-ansible/pull/8489, fix is available in openshift-ansible-3.10.0-0.53.0

Comment 3 Mike Fiedler 2018-06-05 18:54:03 UTC
Verified on 3.10.0-0.58.0.

image: registry.reg-aws.openshift.com:443/openshift3/oauth-proxy:v3.10.0

Comment 5 errata-xmlrpc 2018-07-30 19:15:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.